net.sf.jasperreports.web.actions

## Class SaveZoomAction

- java.lang.Object
- - net.sf.jasperreports.web.actions.AbstractAction
  - - net.sf.jasperreports.web.actions.SaveZoomAction

- All Implemented Interfaces:
    Action

      public class SaveZoomAction
      extends AbstractAction

  Version:
    $Id: SaveZoomAction.java 6998 2014-04-02 12:54:45Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `AbstractAction.ActionErrors`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `ERR_CONCAT_STRING, errors, PARAM_COMMAND_STACK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveZoomAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandTarget` | `getCommandTarget(JasperReportsContext jasperReportsContext, ReportContext reportContext)`
    `java.lang.String` | `getZoomValue()`
    `void` | `performAction()`
    `boolean` | `requiresRefill()`
    `void` | `setZoomValue(java.lang.String zoomValue)`

    - ### Methods inherited from class net.sf.jasperreports.web.actions.AbstractAction

      `createNumberFormat, getCommandStack, getCommandTarget, getCommandTarget, getJasperReportsContext, getMessagesBundle, getReportContext, init, run, setCommandStack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveZoomAction

          public SaveZoomAction()

  - ### Method Detail

    - #### getZoomValue

          public java.lang.String getZoomValue()

    - #### setZoomValue

          public void setZoomValue(java.lang.String zoomValue)

    - #### performAction

          public void performAction()
                             throws ActionException

      Specified by:
        `performAction` in class `AbstractAction`
      Throws:
        `ActionException`

    - #### requiresRefill

          public boolean requiresRefill()

      Specified by:
        `requiresRefill` in interface `Action`
      Overrides:
        `requiresRefill` in class `AbstractAction`

    - #### getCommandTarget

          public CommandTarget getCommandTarget(JasperReportsContext jasperReportsContext,
                                       ReportContext reportContext)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com